<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body></body>
</html>

<script>
//   function foo() {
//     if (true) {
//       var fruit1 = "apple";
//       const fruit2 = "banana";
//       let fruit3 = "strawberry";
//     }
//     console.log(fruit1); //fruit1 hiển thị ra console vì var có phạm vi trong function
//     console.log(fruit2); //fruit2 bị lỗi vì const có phạm vi trong block, ra khỏi {} của block sẽ bị mất
//     console.log(fruit3); //fruit3 bị lỗi vì let có phạm vi trong block, ra khỏi {} của block sẽ bị mất
//   }
//   foo();

  function foo1() {
    var fruit1 = "apple";
    const fruit2 = "banana";
    let fruit3 = "strawberry";
    function foo2() {
        console.log(fruit1);
        console.log(fruit2);
        console.log(fruit3);
    }
    foo2();
  }
  foo1();
  //các biến var, const, let đều nhìn thấy và truy cập được bên trong function foo1, block foo1
</script>
